MetacatUI - Task #6652
Story # 6598 (Resolved): Add Provenance to the DataCatalog and Metadata views

Show a list of data packages (as citations) that are in the prov trace when the provenance icon in the
search result list is moused over

01/21/2015 09:18 AM - Lauren Walker

Status: Resolved Start date: 01/21/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 80%
Category: Estimated time: 0.00 hour
Target version: 1.8.0 Spent time: 0.00 hour
Description

History

#1 - 02/02/2015 03:13 PM - Lauren Walker
- Status changed from New to In Progress

- % Done changed from 0 to 80

This is complete using test data. Just need to remove the test data from the SearchResultView to test for bugs with real index values, once they are
available.

#2 - 02/05/2015 11:18 AM - Lauren Walker

The metadata documents will have two new fields : "hasSources" and "hasDerivations" so that the Search view can determine whether a search
result has a provenance trace of not in the data package.

#3 - 02/24/2015 02:47 PM - Lauren Walker
- Status changed from In Progress to Resolved

- translation missing: en.field_remaining_hours set to 0.0

| changed the search view so that the result row has a simple hover tooltip that displays how many derivations and how many sources the dataset
has. The user can click through to the Metadata View to see the list of datasets with their citations. | chose to not show the citations in the search
view because it would have a delay while the app queries the index for all the science metadata and it would only be able to display about 2-3
citations before the popover box got too big on the screen. | would rather the user go to the Metadata View and see the complete prov trace than just
the limited info (with a short but annoying delay w/loading icon).
